Package bitel.billing.server.contract.bean.find

# Class SearchContracts

java.lang.Object
bitel.billing.server.contract.bean.find.SearchContracts

    public class SearchContracts
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `SearchContract[]` | `searchContracts` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SearchContracts​(java.util.Map<java.lang.String,​java.lang.String> params)` | При создании мы ему сразу закидываем параметры поиска( по которым формируются SearchContract )

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<Contract>` | `findContract​(java.sql.Connection con, java.util.Calendar date, java.lang.String[] tokens, java.lang.StringBuilder report)` | Поиск по всем SearchContract-ам.
  `static SearchContractModule` | `getSearchContractModule​(java.lang.String mode)` |
  `boolean` | `isAndSearch()` |
  `static SearchContract[]` | `loadSearchContracts​(java.util.Map<java.lang.String,​java.lang.String> params)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### searchContracts

    public final SearchContract[] searchContracts

- ## Constructor Details

  - ### SearchContracts

    public SearchContracts​(java.util.Map<java.lang.String,​java.lang.String> params)
    При создании мы ему сразу закидываем параметры поиска( по которым формируются SearchContract )

- ## Method Details

  - ### findContract

    public final java.util.List<Contract> findContract​(java.sql.Connection con, java.util.Calendar date, java.lang.String[] tokens, java.lang.StringBuilder report)
    Поиск по всем SearchContract-ам.
    Parameters:
      `date` - - дата с которой период действия должен пересекаться.
      `tokens` - - распарсенная строка из которой достаем элемент по которому будет производится поиск договора.
    Returns:
      - списко договоров, не null.

  - ### isAndSearch

    public boolean isAndSearch()

  - ### loadSearchContracts

    public static SearchContract[] loadSearchContracts​(java.util.Map<java.lang.String,​java.lang.String> params)

  - ### getSearchContractModule

    public static SearchContractModule getSearchContractModule​(java.lang.String mode)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`